glade-catalog-vte-0.50.2-lp150.4.2.x86_64.rpm


Advertisement

Description

glade-catalog-vte - Glade catalog for the VTE terminal emulator library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name glade-catalog-vte
Package version 0.50.2
Package release lp150.4.2
Package architecture x86_64
Package type rpm
Installed size 2.99 KB
Download size 48.97 KB
Official Mirror widehat.opensuse.org
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ as well as handling of child process and terminal
emulation settings.
This package provides a catalog for Glade, to allow the use of VTE
widgets in Glade.

Alternatives

Package Version Architecture Repository
glade-catalog-vte - - -

Requires

Name Value
glade -
libvte-2_91-0 = 0.50.2

Provides

Name Value
glade-catalog-vte = 0.50.2-lp150.4.2
glade-catalog-vte(x86-64) = 0.50.2-lp150.4.2

Download

Type URL
Binary Package glade-catalog-vte-0.50.2-lp150.4.2.x86_64.rpm
Source Package vte-0.50.2-lp150.4.2.src.rpm

Install Howto

Install glade-catalog-vte rpm package:

# zypper install glade-catalog-vte

Files

Path
/usr/share/glade/catalogs/vte-2.91.xml
/usr/share/glade/pixmaps/hicolor/16x16/actions/widget-vte-terminal.png
/usr/share/glade/pixmaps/hicolor/22x22/actions/widget-vte-terminal.png

Changelog

2018-03-22 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2017-12-16 - dimstar@opensuse.org
- Exclude doc/vttest* while generating the git tarball: the vttest
program is not being used and the version tracked in git contains
a non-commercial clause.
2017-12-09 - zaitor@opensuse.org
- Add vte-fix-memory-leaks.patch: Fix memory leaks (bgo#790539).
- Add
vte-widget-reset-might-need-to-start-blinking-the-cursor.patch:
widget: Reset might need to start blinking the cursor
(bgo#790536).
- Drop gnome-pty-helper Obsoletes: Not present in any currently
supported opensuse release.
- Modernize spec, run spec-cleaner, switch to to autosetup,
make_build and make_install macros.
- No longer export fPIE/pie SUID_CFLAGS/SUID_LDFLAGS, not needed
anymore.
2017-11-01 - badshah400@opensuse.org
- Update to version 0.50.2:
+ widget:
- Show the mouse pointer when a popover is presented from
outside VTE (bgo#789390).
- Emit title-changed and uri-changed only if the value really
changed (bgo#782863).
+ Updated translations.
2017-10-03 - zaitor@opensuse.org
- Update to version 0.50.1:
+ emulation: Add support for REP (repeat preceding graphic
character).
+ widget:
- Fix initial size in presence of non-default padding.
- Fix a crash with hyperlinks if the mouse is over the padding.
2017-10-02 - jengelh@inai.de
- Update package summaries. Replace old RPM shell vars by new
constructs. Avoid running fdupes across partition boundaries.
Drop --with-pic which is useless for --disable-static builds.
2017-09-11 - zaitor@opensuse.org
- Update to version 0.50.0:
+ widget: Fix a crash with hyperlinks if the mouse hasn't entered
the widget.
+ Updated translations.
2017-09-05 - zaitor@opensuse.org
- Update to version 0.49.92:
+ pty:
- spawn: Always fill in the GError on failure.
- Removed unused variable.
+ docs: Fix hyperlink signal name.
+ build:
- vala:
. Bump vapigen required version to 0.24.
. Fix check for valac >= 0.31.1.
+ img.sh: Fix for newer ImageMagick.
+ docs: Remove an obsolete comment.
+ widget:
- Fix allow-hyperlink's default.
- Provide a way to copy the selection to clipboard as HTML.
- Don't hide the mouse pointer when a popover is presented.
- Use lighter dashed underline for hyperlinks.
+ Don't set variables to values that are never used.
+ emulation: Swallow iterm2 OSC 133.
+ Fix the generation of the signal marshallers.
+ Emit beep on the window instead of the display.
+ Updated translations.
- Drop vte-fix-signal-marshallers-generation.patch: Fixed upstream.
2017-07-20 - zaitor@opensuse.org
- Add vte-fix-signal-marshallers-generation.patch: Fix build with
new glib, patch from upstream git.
2017-05-18 - zaitor@opensuse.org
- Update to version 0.49.1:
+ emulation:
- Character deletion switches to hard line ending.
- Disregard bce only when autowrapping to the new line.
+ build:
- Revert "build: Fix building the vala test app with builddir
!= srcdir".
- Disable vala for distcheck.
+ vteapp: Remove an unused variable.
+ spawn: async:
- Release reference to VteTerminal.
- Check for nullptr before unreffing.
+ emulation: Swallow OSC 8.
+ widget:
- Support italic in HTML copy-paste target.
- Remove the VteIntCell and VteIntCellAttr unions.
- Add more xkb layout switching codes to the list of modifiers.
- Clean up the mouse pointer displaying logic.
+ Remove custom definition of howmany().
+ ring:
- Tiny code cleanup: maintain GString integrity.
- Invert colors for the stream's cells if debugging the ring.
+ widget,emulation: Add support for OSC 8 hyperlinks (HTML-like
anchors).
+ Updated translations.

See Also

Package Description
glade-lang-3.20.4-lp150.1.4.noarch.rpm Translations for package glade
glade-sharp2-2.12.41-lp150.1.3.x86_64.rpm Mono bindings for glade
glew-2.1.0-lp150.1.7.x86_64.rpm OpenGL Extension Wrangler Library
glew-devel-2.1.0-lp150.1.7.x86_64.rpm Development files for glew
glfw2-devel-2.7.6-lp150.1.3.x86_64.rpm Portable framework for OpenGL application development
glib-networking-2.54.1-lp150.1.3.x86_64.rpm Network-related GIO modules for glib
glib-networking-32bit-2.54.1-lp150.1.3.x86_64.rpm Network-related GIO modules for glib
glib-networking-lang-2.54.1-lp150.1.3.noarch.rpm Translations for package glib-networking
glib-sharp2-2.12.41-lp150.1.3.x86_64.rpm Mono bindings for glib
glib-sharp3-2.99.4-lp150.1.4.x86_64.rpm Mono bindings for glib
glib2-devel-2.54.3-lp150.2.6.x86_64.rpm Development files for glib, a general-purpose utility library
glib2-devel-32bit-2.54.3-lp150.2.6.x86_64.rpm Development files for glib, a general-purpose utility library
glib2-devel-static-2.54.3-lp150.2.6.x86_64.rpm Static libraries for glib, a general-purpose utility library
glib2-lang-2.54.3-lp150.2.6.noarch.rpm Translations for package glib2
glib2-tools-2.54.3-lp150.2.6.x86_64.rpm Tools from glib2, a general-purpose utility library
Advertisement
Advertisement